Holger's Java API

## com.antelmann.util.table
Class FontCellEditor

    java.lang.Object
      javax.swing.AbstractCellEditor
          com.antelmann.util.table.AbstractSpecialCellEditor
              com.antelmann.util.table.FontCellEditor

All Implemented Interfaces:
  Serializable, CellEditor, TableCellEditor

    public class FontCellEditor

extends AbstractSpecialCellEditor
implements TableCellEditor

Author:
  Holger Antelmann
See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.swing.AbstractCellEditor
`changeEvent, listenerList`

Constructor Summary
`FontCellEditor()`

Method Summary
`Font` `getCellEditorValue()`
`Component` `getTableCellEditorComponent(JTable table, Object value, boolean isSelected, int row, int column)`

Methods inherited from class com.antelmann.util.table.AbstractSpecialCellEditor
`getClickCountToStart, isCellEditable, setClickCountToStart`

Methods inherited from class javax.swing.AbstractCellEditor
`addCellEditorListener, cancelCellEditing, fireEditingCanceled, fireEditingStopped, getCellEditorListeners, removeCellEditorListener, shouldSelectCell, stopCellEditing`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.swing.CellEditor
`addCellEditorListener, cancelCellEditing, isCellEditable, removeCellEditorListener, shouldSelectCell, stopCellEditing`

Constructor Detail

### FontCellEditor

    public FontCellEditor()

Method Detail

### getTableCellEditorComponent

    public Component getTableCellEditorComponent(JTable table,
                                                 Object value,
                                                 boolean isSelected,
                                                 int row,
                                                 int column)

  Specified by:
    `getTableCellEditorComponent` in interface `TableCellEditor`

### getCellEditorValue

    public Font getCellEditorValue()

  Specified by:
    `getCellEditorValue` in interface `CellEditor`

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads